<?php
error_reporting(0);
session_start();
include "../onestyle_db.php";

/*
fontsize - размер шрифта (7 - 12)
listnumb - количество элементов в списке (4 - 9)
comtnumb - количество элементов в списке комментариев (4 - 9)
CURR_LIMIT - количество просмотренных записей
iscounter - добавление в счетчик или уже добавили (0 - 1)
listwidth - ширина экрана (1 - 4)
tolight - если 1, тогда всега будут отображаться упрощенные страницы сайта
*/
if (isset($_POST['is_light'])){
	if ($_SESSION['tolight'] == 1){
		$_SESSION['tolight'] = 0;
	}else{
		$_SESSION['tolight'] = 1;
	}
}
if (!isset($_SESSION['tolight'])){$_SESSION['tolight'] = 0;}

if (isset($_GET['w'])){$_SESSION['listwidth'] = 3;}
if (isset($_POST['list_width'])){
	$_POST['list_width'] = intval($_POST['list_width']);
	$_SESSION['listwidth'] = $_POST['list_width'];
	unset($_POST['list_width']);
}

if (isset($_POST['font_size'])){
	$_POST['font_size'] = intval($_POST['font_size']);
	$_SESSION['fontsize'] = $_POST['font_size'];
	unset($_POST['font_size']);
}
if (empty($_SESSION['fontsize'])){
	$_SESSION['fontsize'] = 9;
}

function none_project(){
	echo '<div class="p_block">&nbsp;</div><center><span class="sm">Ни одной записи не найдено.';
	if ($_GET['p'] > 100){

	if (isset($_POST['restrict_find'])){
		if (empty($_SESSION['back1_restrict_find'])){$_SESSION['back1_restrict_find'] = $_POST['restrict_find'];
		}elseif (empty($_SESSION['back2_restrict_find'])){$_SESSION['back2_restrict_find'] = $_POST['restrict_find'];
		}else {$_SESSION['back1_restrict_find'] = $_SESSION['back2_restrict_find'];$_SESSION['back2_restrict_find'] = $_POST['restrict_find'];}
	}else{
		if (empty($_SESSION['back1_restrict_find'])){$_SESSION['back1_restrict_find'] = "none";
		}elseif (empty($_SESSION['back2_restrict_find'])){$_SESSION['back2_restrict_find'] = "none";
		}else {$_SESSION['back1_restrict_find'] = $_SESSION['back2_restrict_find'];$_SESSION['back2_restrict_find'] = "none";}
	}

	if (isset($_POST['user_name'])){
		if (empty($_SESSION['back1_user_name'])){$_SESSION['back1_user_name'] = substr_replace('%', '', $_POST['user_name']);
		}elseif (empty($_SESSION['back2_user_name'])){$_SESSION['back2_user_name'] = substr_replace('%', '', $_POST['user_name']);
		}else {$_SESSION['back1_user_name'] = $_SESSION['back2_user_name'];$_SESSION['back2_user_name'] = substr_replace('%', '', $_POST['user_name']);}
	}else{
		if (empty($_SESSION['back1_user_name'])){$_SESSION['back1_user_name'] = "none";
		}elseif (empty($_SESSION['back2_user_name'])){$_SESSION['back2_user_name'] = "none";
		}else {$_SESSION['back1_user_name'] = $_SESSION['back2_user_name'];$_SESSION['back2_user_name'] = "none";}
	}

	if ($_POST['in_desk'] == 'on'){
		if (empty($_SESSION['back1_in_desk'])){$_SESSION['back1_in_desk'] = 'on';
		}elseif (empty($_SESSION['back2_in_desk'])){$_SESSION['back2_in_desk'] = 'on';
		}else {$_SESSION['back1_in_desk'] = $_SESSION['back2_in_desk'];$_SESSION['back2_in_desk'] = 'on';}
	}else{
		if (empty($_SESSION['back1_in_desk'])){$_SESSION['back1_in_desk'] = "none";
		}elseif (empty($_SESSION['back2_in_desk'])){$_SESSION['back2_in_desk'] = "none";
		}else {$_SESSION['back1_in_desk'] = $_SESSION['back2_in_desk'];$_SESSION['back2_in_desk'] = "none";}
	}

	if ($_POST['in_name'] == 'on'){
		if (empty($_SESSION['back1_in_name'])){$_SESSION['back1_in_name'] = 'on';
		}elseif (empty($_SESSION['back2_in_name'])){$_SESSION['back2_in_name'] = 'on';
		}else {$_SESSION['back1_in_name'] = $_SESSION['back2_in_name'];$_SESSION['back2_in_name'] = 'on';}
	}else{
		if (empty($_SESSION['back1_in_name'])){$_SESSION['back1_in_name'] = "none";
		}elseif (empty($_SESSION['back2_in_name'])){$_SESSION['back2_in_name'] = "none";
		}else {$_SESSION['back1_in_name'] = $_SESSION['back2_in_name'];$_SESSION['back2_in_name'] = "none";}
	}

		echo " Попробуйте перейти к разделу <a class='bld' href='";
		echo 'javascript:document.getElementById("to_back").setAttribute("action", "online.php");' . 'document.getElementById("to_back").submit();';
		echo "'>Онлайн</a> и выполнить поиск строки там (сразу во всех онлайн базах данных, вдрг нужный вам или похожий термин описан в других базах).";}
	echo '<br /><br /><span></center>';
}

onestyle_pconnect() or print('<p style="position:absolute;top:60px;left:100px;">Внимание!!! Подключиться к базе данных не удалось, поэтому функциональность сайта будет ограничена</p>');

include "../obase.php";
include "../registry.php";
include "../site_pages.php";

if (isset($_POST['is_to_back'])){
	if ($_SESSION['back1_direct_job'] == "none"){unset($_POST['direct_job']);}else{$_POST['direct_job'] = $_SESSION['back1_direct_job'];}
	if ($_SESSION['back1_user_name'] == "none"){unset($_POST['user_name']);}else{$_POST['user_name'] = $_SESSION['back1_user_name'];}
	if ($_SESSION['back1_restrict_find'] == "none"){unset($_POST['restrict_find']);}else{$_POST['restrict_find'] = $_SESSION['back1_restrict_find'];}
	if ($_SESSION['back1_in_orderby'] == "none"){unset($_POST['in_orderby']);}else{$_POST['in_orderby'] = $_SESSION['back1_in_orderby'];}
	if ($_SESSION['back1_in_desk'] == "none"){unset($_POST['in_desk']);}else{$_POST['in_desk'] = 'on';}
	if ($_SESSION['back1_in_name'] == "none"){unset($_POST['in_name']);}else{$_POST['in_name'] = 'on';}
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
	<title>Дизайн, программирование, структурирование - www.onestyle.com.ua <?php
	if (isset($site_pages[$_GET['p']][0])){echo " - " . strip_tags($site_pages[$_GET['p']][0]);} ?></title>
	<LINK REL=STYLESHEET TYPE="text/css" HREF="./css/index.css">
	<LINK REL=STYLESHEET TYPE="text/css" HREF="./css/atext.css">
	<LINK REL=STYLESHEET TYPE="text/css" HREF="./css/bsc.css">
	<LINK REL=STYLESHEET TYPE="text/css" HREF="./css/width/<?php if (isset($_SESSION['listwidth'])){echo $_SESSION['listwidth'];}else{echo "1";} ?>.css">
	<LINK REL=STYLESHEET TYPE="text/css" HREF="./css/font/<?php if (isset($_SESSION['fontsize'])){echo $_SESSION['fontsize'];}else{echo "9";} ?>.css">
	
	<link rel="alternate" type="application/rss+xml" title="Наши проекты" href="./rss/index.php" />
	<meta http-equiv="Content-Type" content="text/html; charset=Windows-1251" />
	<meta name="keywords" content="дизайн программирование структурирование веб-дизайн веб-программирование база данных Windows реестр rundll32.exe недокументированные возможности онлайн моделинг интерьер реклама дизайн интерьеров Донецк стиль 3D создание сайта раскрутка веб дизайн студия Украина студия интернет ВИЗИТНАЯ КАРТОЧКА ВИЗИТКА">
	<meta name="description" content="Мы занимаемся подготовкой дизайнерских решений в таких областях, как дизайн интерьеров, разработка и продвижение сайтов, разработка корпоративного стиля, создание рекламы и рекламных обзоров. Кроме того, мы занимаемся разработкой баз данных и сценариев. А также выполняем консультации и тренинги по дизайну и работе с операционной системой Windows. Наш сайт содержит материалы по дизайну, администрированию и операционным системам Windows, а также все наши работы и описание цен на услуги, которые мы предоставляем. Также на сайте можно найти набор сервисов, которые облегчат жизнь дизайнеру или администратору." />
	<script type="text/javascript" src="./js/1.js"></script>
	<script type="text/javascript" src="./js/ajax.js"></script>
	<script type="text/javascript">
	<!--
		var maxImage1 = <?php $gal1rand = intval(mysql_num_rows(mysql_query("select jobid from obd_8 where jobid < 1000")) - 1);echo $gal1rand; ?>;
		var maxImage2 = <?php $gal2rand = intval(mysql_num_rows(mysql_query("select jobid from obd_8 where (jobid > 999) and (jobid < 2000)")) - 1);echo $gal2rand; ?>;
		var maxImage3 = <?php $gal3rand = intval(mysql_num_rows(mysql_query("select jobid from obd_8 where (jobid > 1999) and (jobid < 3000)")) - 1);echo $gal3rand; ?>;
		<?php
		if (isset($_SESSION['listwidth'])){}else{
			if (strpos($_SERVER['REQUEST_URI'], "?") === false){
				$tmptobig = $_SERVER['REQUEST_URI'] . "?";
			}else{
				$tmptobig = $_SERVER['REQUEST_URI'] . "&";
			}
			echo 'if (screen.width > 1200) document.location = "', $tmptobig, 'w";';
		} ?>
	//-->
	</script>
<?php
if (empty($_SESSION['listwidth'])){
	$_SESSION['listwidth'] = 2;
}

include "../index_all.php";
include "../correct.php";
if (empty($site_pages[$_GET['p']][0])){
	$_GET['p'] = 1;
}
if ($_GET['p'] > 99){
	include "../index_bd.php";
}else{
	include "../index_0.php";
}

//хранится указатель на отображаемую часть страницы. Только число.
if (empty($_GET['b'])){
	$_GET['b'] = 1;
}else {
	$_GET['b'] = intval(lcrop($_GET['b']));
	if	($_GET['b']>3){
	$_GET['b'] = 1;
	}
}
//режим отображения: упрощенный или нет.
if (isset($_GET['mode'])){$_GET['mode'] = intval(lcrop($_GET['mode']));}else{$_GET['mode'] = 0;}
//хранится имя пользователя, проекта, рисунка. Только число.
if (isset($_GET['u'])){
	$_GET['u'] = intval(lcrop($_GET['u']));
}
//хранится имя базы данных. Только число.
if (isset($_GET['tail'])){
	$_GET['tail'] = intval(lcrop($_GET['tail']));
}
//хранится направление. Только число.
if (isset($_GET['d'])){
	$_GET['d'] = intval(lcrop($_GET['d']));
}
//хранится лимит записей. Только число.
if (isset($_GET['l'])){
	$_GET['l'] = intval(lcrop($_GET['l']));
}
//хранится указатель на тег нужных записей.
if (isset($_GET['tag'])){
	$_GET['tag'] = intval(lcrop($_GET['tag']));
}

if (isset($_POST['user_name'])){
	$_POST['user_name'] = lcrop($_POST['user_name'], 70);
	if ($_GET['p'] == 149){
		while(1){
			if (strpos($_POST['user_name'], "\\\\") === false){break;}else{
				$_POST['user_name'] = str_replace("\\\\", "\\", $_POST['user_name']);
			}
		}
		$_POST['user_name'] = str_replace("\\", "\\\\", $_POST['user_name']);
		$_POST['user_name'] = htmlspecialchars(addslashes($_POST['user_name']));
	}else{
		$_POST['user_name'] = htmlspecialchars(addslashes(str_replace("\\\\", "\\", $_POST['user_name'])));
	}
}


if (isset($_SESSION['iscounter'])){
}else{
	mysql_select_db('onestyle_w');
	$result = mysql_query("select c_ip, c_date, c_stop from ocr where c_date= " . date('z') . " and c_ip= '" . $_SERVER['REMOTE_ADDR'] . "'");	
	

	if (mysql_num_rows($result)){
		$row = mysql_fetch_array($result);
		$_SESSION['CURR_LIMIT'] = $row['c_stop'];
	}else{
		mysql_query("insert into ocr (c_ip, c_date, c_agent) values ('" . $_SERVER['REMOTE_ADDR'] . "', " . date('z') . ", '" . $_SERVER['HTTP_USER_AGENT'] . "')");
	}
	$result = mysql_query("select c_date from ocr");
	$_SESSION['iscounter'] = mysql_num_rows($result);
	mysql_select_db('onestyle_testmy');
}

if (isset($_POST['list_numb'])){$_SESSION['listnumb'] = intval(lcrop($_POST['list_numb']));unset($_POST['list_numb']);}
if (isset($_SESSION['listnumb'])){
	$cur_list_numb = $_SESSION['listnumb'];
}else{
	$_SESSION['listnumb'] = 7;
	$cur_list_numb = 7;
}

if (isset($_POST['comt_numb'])){$_SESSION['comtnumb'] = intval(lcrop($_POST['comt_numb']));unset($_POST['comt_numb']);}
if (isset($_SESSION['comtnumb'])){}else{$_SESSION['comtnumb'] = 7;}
?>
